/*
 *  Copyright (c) 2019 The WebRTC project authors. All Rights Reserved.
 *
 *  Use of this source code is governed by a BSD-style license
 *  that can be found in the LICENSE file in the root of the source
 *  tree. An additional intellectual property rights grant can be found
 *  in the file PATENTS.  All contributing project authors may
 *  be found in the AUTHORS file in the root of the source tree.
 */

#include "test/pc/e2e/analyzer/video/id_generator.h"

namespace webrtc {
namespace test {

IntIdGenerator::IntIdGenerator(int start_value) : next_id_(start_value) {}
IntIdGenerator::~IntIdGenerator() = default;

int IntIdGenerator::GetNextId() {
  return next_id_++;
}

}  // namespace test
}  // namespace webrtc
